import { useGLTF } from '@react-three/drei';
import React, { forwardRef, useEffect, useImperativeHandle, useRef } from 'react';
import { useThree } from '@react-three/fiber';
import * as THREE from 'three';
import { CameraView } from './cameraView';


export const BlindModel = forwardRef((props, ref) => {
    const { file ,dataPos ,index} = props;
    const cameraRef = useRef(null);


    const point = dataPos[0];
    const lastPt = dataPos[1];
    const scale = dataPos[2];

    
    const three = useThree();
 
    useImperativeHandle(ref, () => ({
    }));

    const gltf = useGLTF(file, undefined, undefined, (loader) => {
        loader.manager.onProgress = (a, b, c) => { };
    });

    const boundingBox = new THREE.Box3().setFromObject(gltf.scene);
    const size = new THREE.Vector3();
    boundingBox.getSize(size);
    let actualWidth = lastPt.x - point.x;
    let actualHeight = lastPt.y - point.y;
    console.log((point.x + ((lastPt.x - point.x) / 2))+0.05, lastPt.y, point.z+0.08 , "position");
    console.log(actualWidth / size.x, Math.abs(actualHeight / size.y), scale , "scale");


    // console.log(actualHeight,size.y);
    // windowScene.scale.set(0.01,0.01, scale);


    // const box = new THREE.BoxHelper( windowScene, 0xffff00 );
    // scene.add( box );

    // gltf.scene.scale.set(actualWidth / size.x, Math.abs(actualHeight / size.y), scale);
    // gltf.scene.position.set((point.x + ((lastPt.x - point.x) / 2))+0.05, lastPt.y, point.z+0.08);
    // three.scene.add(gltf.scene);
    // console.log(three.scene);



    return (
        <primitive position={[(point.x + ((lastPt.x - point.x) / 2))+0.05, lastPt.y, point.z+0.08]} scale={[actualWidth / size.x, Math.abs(actualHeight / size.y), scale]}  object={gltf.scene}></primitive>
   );
});